
cap prog drop ethiocal
program define ethiocal
	syntax varname [if], GENerate(name)
	cap confirm numeric variable reg1begin_td
	if _rc {
		di "Error: Please put original dates in numeric, stata format."
	}
	tempvar day_e month_e year_e day_base month_base year_base date_base days_since_base
	if !_rc {
		quietly {
			gen `month_e' = month(`varlist') `if'
			gen `day_e' = day(`varlist') `if'
			gen `year_e' = year(`varlist') `if'
		}
		cap assert `day_e' <= 30 | `day_e' == . `if'
		if _rc {
			di "Error: These are not dates from the Ethiopian calender. No months should have more than 30 days."
		}
		if !_rc {
			quietly {
				gen `day_base' = "11" `if' & `year_e'/4 != round(`year_e'/4)
					replace `day_base' = "12" `if' & `year_e'/4 == round(`year_e'/4)
				gen `month_base' = "09" `if'
				gen `year_base' = `year_e'+7 `if'
				tostring `year_base', replace
				gen `date_base' = date(`day_base'+"/"+`month_base'+"/"+`year_base',"DMY") `if'
				gen `days_since_base' = 30*(`month_e'-1)+`day_e'-1 `if'
				gen `generate' = `date_base' + `days_since_base' `if'
				format `generate' %td
			}
		}
	}
end
