*********************************************************************************************************************
* FILE: ANALYSIS CODE
/********************************************************************************************************************
*********************************************************************************************************************/

/* ******************************************************/
/* CONTENT **********************************************/
/* ******************************************************/		

// 1. DIRECTORY INFORMATION //

	//a. Open dataset

		use "$ILEdata/ILEanalysis.dta", replace
		
// 2. FILE CONTROLS //

		/* Set each table to stop at end */
		gl exit = "exit"
		gl exit = ""
		
// 3. OUTCOMES AND BASELINE CONTROLS //
		
	//a. Baseline controls
	# delimit ;
		gl baseline "exactage_p99_b female_b
					single_b head_b disabled_b
					educ_p99_b cog_overall_index_b
					mentalhealth_index_b consc_std_b
					riskaversion_all_b patience_all_b  
					success_index_b 
					formal_expery_b
					factory_b
					optimism_index_b";
		gl baseline_larger "exactage_p99_b female_b
					single_b r_muslim_b hhsize_b head_b  dep_worker_p99_b educ_p99_b executive_score_b
					totalprofit7_av_p99_b consdur_p99_std_b factory_b 
					hourswork_wk_p99_b nowork_4weeks_b
					incdiff12_permon_p99_b borr3000bus_p99_b healthproblems_p99_b  disabled_b
					riskaversion_all_b patience_all_b locuscontrol_p99_std_b selfesteem_p99_std_b 
					famsupport_std_b commsupport_std_b  
					stat_change1_b phqtotal_r_std_b gadtotal_r_std_b agression_std_b consc_std_b fac_expery_b shop_expery_b statengo_expery_b
					prob_betterjob_b prob_regwork_b";
	# delimit cr
		/* Set control categories */
		gl demo "exactage_p99_b age2_p99_b age3_p99_b age4_p99_b female_b single_b r_muslim_b hhsize_b head_b dep_worker_p99_b"
		gl cog "all_math_p99_b educ_p99_b cognitive_score_b executive_score_b finsecondary_b"
		gl econ "totalprofit7_av_p99_b consdur_p99_std_b proddur_p99_std_b debttotal_p99_b save4weeks_p99_b"
		gl work "aghours_wk_p99_b cashours_wk_p99_b facthours_wk_p99_b pettybusnhours_wk_p99_b skilledhours_wk_p99_b wagelowhours_wk_p99_b wagemedhours_wk_p99_b othhours_wk_p99_b nowork_2weeks_b"
		gl exper "factory_b agexper_mo_p99_b casexper_mo_p99_b factexper_mo_p99_b pettybusnexper_mo_p99_b skilledexper_mo_p99_b wagelowexper_mo_p99_b wagemedexper_mo_p99_b othexper_mo_p99_b fac_expery_b shop_expery_b state_expery_b ngo_expery_b "
		gl optim "becomeill_b prob_betterjob_b prob_regwork_b mid12months_b incdiff30_b incdiff12_permon_p99_b"
		gl support "borr3000bus_p99_b famsupport_std_b commsupport_std_b"
		gl health "healthproblems_p99_b disabled_b stat_change1_b phqtotal_r_std_b gadtotal_r_std_b"
		gl personality "riskaversion_ibm_b riskaversion_p99_b patience_ibm_b timeinc_ibm_b patience_p99_b locuscontrol_p99_std_b selfesteem_p99_std_b selfcontrol_p99_std_b agression_std_b consc_std_b"
	
		gl controls "$demo $cog $econ $work $exper $optim $support $health $personality"
					
		gl controls_t5 "exactage_p99_b age2_p99_b age3_p99_b age4_p99_b single_b male_b r_muslim_b dep_worker_p99_b all_math_p99_b educ_p99_b totalprofit7_av_p99_std_b consdur_p99_std_b fac1_b hourswork_1w_b incdiff12_permon_p99_b save4weeks_p99_b borr3000bus_p99_b healthproblems_p99_b riskaversion_p99_b patience_p99_b locuscontrol_p99_b selfesteem_p99_b selfcontrol_p99_b finsecondary_b illit_b famsupport_b commsupport_b debttotal_p99_b stat_change1_b phqtotal_b gadtotal_b agression_b consc_b fac_expery_b shop_expery_b state_expery_b ngo_expery_b becomeill_b likely_betterjob_b likely_regwork_b mid12months_b incdiff30_b incdiff12_b translator_b"
		
	//b. Cohort dummies
		gl cohort "coh1 coh2 coh3 coh4 coh5 coh6 coh7 coh8" 
		gl blocks "coh1m coh2m coh3m coh4m coh5m coh6m coh7m coh8m coh1f coh2f coh3f coh4f coh5f coh6f coh7f coh8f"
		
	//c. Outcome Families

	# delimit ;	
		gl outcomes_Econ "employmentfamilyindex_e hourswork_wk_p99_e facthours_wk_p99_e aghourscom_wk_p99_e aghoursoth_wk_p99_e  
						pettybusnhours_wk_p99_e skilledhours_wk_p99_e cashours_wk_p99_e wagelowhours_wk_p99_e
						wagemedhours_wk_p99_e othhours_wk_p99_e nowork_dum_e  hourswork_sqdev_e
						incomefamilyindex_e
						totalprofit7_av_p99_e totalprofit_h_av_p99_e totalprofit_sqdev_e consdur_p99_std_e cons_month_p99_e proddur_p99_std_e";
		gl outcomes_HumanCapital "physhealthfamilyindex_e healthproblems_e disabled_e 
						health_laddnow_e  health_5years_e 
						menthealthfamilyindex_e phqtotal_r_e aggression_e gadtotal_r_e
						anxiety_e  
						laddnow_e ladd5years_e ";
		gl outcomes_Workplace "healthrisks_e needsafety_e airprob_e badsmell_e dust_e smokefire_e smokemachine_e badair_e	
							   workcond_e comfort_dum_e temperature_dum_e controlhours_dum_e timeoff_dum_e learnskills_dum_e space_dum_e shortbreaks_dum_e boring_dum_e "; 
		gl outcomes_Other "antifirmfamilyindex_e firmsr_att_e foreignr_att_e unions_att_e workrights_per_e
							socintefamilyindex_e famsupport_e commsupport_e comminvolved_e trust_e
							fempowerfamilyindex_e femaleempower_e decision_e empowered_e abusein_e
							ncogskillsfamilyindex_e locuscontrol_e selfesteem_e patience_e 
							riskaversion_e selfcontrol_e punctual_e";
		gl outcomes_Other_Appendix "antifirmfamilyindex_e 
										firmsr_att_e 
											rank_firms1_e rank_firms4_e rank_firms6_e rank_firms2_e rank_firms3_e rank_firms5_e
										foreignr_att_e 
											rank2_foreignfirms1_e rank2_foreignfirms3_e rank2_foreignfirms4_e rank2_foreignfirms2_e rank2_foreignfirms5_e rank2_foreignfirms6_e
										unions_att_e 
											rank_unions1_e rank_unions3_e rank_unions2_e rank_unions4_e rank_unions5_e rank_unions6_e  
										workrights_per_e
											rank_workerrights1_e rank_workerrights2_e rank_workerrights3_e rank_workerrights4_e rank_workerrights5_e rank_workerrights6_e
							socintefamilyindex_e 
										famsupport_e 
											r_famcaring_e r_famadvice_e r_famhelp_e r_famvalued_e r_revfamquarrel_e
										commsupport_e
											r_friendcaring_e r_friendadvice_e r_friendhelp_e r_revfriendquarrel_e r_commvalued_e
										comminvolved_e 
											kebelelead_e grouplead_e giveadvice_e speakup_e commpart_e vote_e vote2010_e churchreg_e
										trust_e
											r_honest_e r_trusted_e r_trustofficials_e r_watchhome_e
							fempowerfamilyindex_e 
										femaleempower_e 
											rank_empowerment1_e rank_empowerment3_e rank_empowerment5_e rank_empowerment7_e rank_empowerwork1_e 
											rank_empowerwork4_e rank_empowerment2_e rank_empowerment4_e rank_empowerment6_e rank_empowerment8_e 
											rank_empowerwork2_e rank_empowerwork3_e
										decision_e 
											rank_schoolfees_decide_e rank_smallitems1_decide_e rank_smallitems2_decide_e rank_expensiveitems1_decide_e 
											rank_expensiveitems2_decide_e
										empowered_e 
											rank_expressopinion_e rank_holdmoney_e rank_allowedmarket_e
										abusein_e
											rank_threat_e rank_humiliate_e rank_beat_e rank_kick_e rank_accuse_e rank_limitfamily_e rank_knowalltimes_e
							ncogskillsfamilyindex_e 
										locuscontrol_e 
											r_locus1_e r_locus2_e r_locus3_e r_locus4_e r_locus5_e r_locus6_e r_locus7_e r_locus8_e
										selfesteem_e 
											r_esteem1_e r_esteem2_e r_esteem3_e r_esteem4_e r_esteem5_e r_esteem6_e r_esteem7_e r_esteem8_e
										patience_e 
											rank_time2_e rank_time1_e rank_time3_e rank_time4_e rank_time5_e rank_time6_e rank_time7_e rank_time8_e
										riskaversion_e 
											rank_risk1_e rank_risk2_e rank_risk3_e rank_risk5_e rank_risk7_e rank_risk4_e risk6_e risk8_e
										selfcontrol_e 
											rank_control3_e rank_control7_e control1_e control2_e control4_e rank_control5_e 
											control6_e control8_e
										punctual_e
											punctual3_e punctual4_e punctual5_e";
		gl outcomes_Indices "employmentfamilyindex_e incomefamilyindex_e physhealthfamilyindex_e menthealthfamilyindex_e 
							antifirmfamilyindex_e socintefamilyindex_e fempowerfamilyindex_e ncogskillsfamilyindex_e";
		gl outcomes_robustness "facfarm totalprofit7_av_p99 disabled stat_change1";
		gl outcomes_Other_Econ "timeuse_commute_p99_e timeuse_leisure_p99_e timeuse_domestic_p99_e
						schooltrainnow_e currentschool_e hourswork_e income_y
						save4weeks_p99_e";
		gl outcomes_Other_Health " healthproblems_e health_laddnow_e healthrisks_e disabled1_e disabled_e 
						seriousdif_walk2km_e seriousdif_carry20liters_e seriousdif_dayactiv_e seriousdif_workout_e 
						seriousdif_workbench_e 
						disabled2_e disabled3_e  
						somedif_walk2km_e somedif_carry20liters_e somedif_dayactiv_e somedif_workout_e somedif_workbench_e
						disabled4_e";
	
	# delimit cr


*$exit

*************************************
/*            Table 1 			   */
*************************************

/* Job characteristics were entered directly into excel. */

****************************************
/* Table 2: Tests of Baseline Balance */
****************************************

		/* Set output name */
		/* Set counter */
		local i = 0			
		foreach var in $baseline_larger {
			local ++i
			local var`i' = "`var'"
			/* Control Mean */
			qui sum `var' if round_b == 1 & treatment_b == 0
				local cm`i' = r(mean)
				local csd`i' = r(sd)
				local cN`i' = r(N)
			/* Jobs */
			qui sum `var' if round_b == 1 & treatment_b == 1
				local job_m`i' = r(mean)
				local job_sd`i' = r(sd)
				local job_N`i' = r(N)
			/* NGO */
			qui sum `var' if round_b == 1 & treatment_b == 2
				local ngo_m`i' = r(mean)
				local ngo_sd`i' = r(sd)
				local ngo_N`i' = r(N)
			/* Job vs. Control Difference */
			qui reg `var' job ${blocks} if round_b == 1 & ngo!=1, robust
				local job_b`i' = _b[job]
				qui testparm job
				local job_p`i' = r(p)
			/* NGO vs. Control Difference */
			qui reg `var' ngo ${blocks} if round_b == 1 & job!=1, robust
				local ngo_b`i' = _b[ngo]
				qui testparm ngo
				local ngo_p`i' = r(p)
		}
		local I = `i'
		preserve
			clear
			qui set obs `I'
			qui gen var = ""
			foreach v in cm csd cN job_m job_sd job_N ngo_m ngo_sd ngo_N job_b job_p ngo_b ngo_p {
				qui gen `v' = .
			}
			forvalues i = 1/`I' {
				qui replace var =  "`var`i''" in `i'
				foreach v in cm csd cN job_m job_sd job_N ngo_m ngo_sd ngo_N job_b job_p ngo_b ngo_p {
					qui replace `v' = ``v'`i'' in `i'
				}				
			}
			export excel using "$ILEtables\Table 2.xlsx", sheet(raw) sheetreplace firstrow(var)
		restore
		/* F-test of all covariates */
		reg job ${baseline_larger} ${blocks} if round_b == 1 & ngo != 1, robust
			test ${baseline_larger}
			local job_p = r(p)
			local job_n = e(N)
		reg ngo ${baseline_larger} ${blocks}  if round_b == 1 & job != 1, robust
			test ${baseline_larger}
			local ngo_p = r(p)
			local ngo_n = e(N)
		preserve
			clear
				qui set obs 1
				qui gen job_pval = `job_p'
				qui gen ngo_pval = `ngo_p'
				qui gen job_n = `job_n'
				qui gen ngo_n = `ngo_n'
			export excel using "$ILEtables\Table 2.xlsx", sheet(raw) sheetmodify firstrow(var) cell(P1)
		restore
		*$exit
		/* End of table */


*************************************
/* Table 3: Takeup and Compliance */
*************************************
	
	/* Count observations in each category */
		local var_`i' = "Count"
		
		qui count if job == 1 & round_b == 1
		local job_1 = r(N)
		
		qui count if ngo == 1 & round_b == 1
		local ngo_1 = r(N)
		
		qui count if pcg == 1 & round_b == 1
		local pcg_1 = r(N)
		
		count if round_b == 1
		local total_1 = r(N)
		
		/* Set counter */ 
		local i = 1
		/* Loop over treatment outcomes */
		foreach dv in offer treatmentfirm_1d treatmentfirm_30d stdyfirmnow  anybigfirm_e_max treatdef3_max anyfacfarm_m_e_max facfarm_e offer_n receive_n {
			/* Add to counter */
			local ++i
			/* Retain row label */
			local var_`i' = "`dv'"
			/* Set sample conditions */
			if "`dv'" == "facfarm_e" | "`dv'" == "anybigfirm_e_max" | "`dv'" == "stdyfirmnow" {
				local if "round <= 3"
			}
			else {
				local if "round_b == 1"
			}
			/* Loop over assignments to get means */
			foreach assignment in job ngo pcg {
				sum `dv' if `assignment' == 1 & `if'
					local `assignment'_`i' = r(mean)
			}
			/* Add count */
			qui count if `if' & !missing(`dv')
				local total_`i' = r(N)
			/* Test difference for Jobs - Control */
			foreach x in job ngo {
				qui reg `dv' `x' ${cohort} ${controls} if (`x'==1|pcg==1) & `if', robust cluster(projid)
					local `x'_b_`i' = _b[`x']
					local `x'_se_`i' = _se[`x']
					local `x'_p_`i' = 2*ttail(e(df_r),abs(_b[`x']/_se[`x']))
					local `x'_N_`i' = e(N)
					/* Format Standard Errors */
						local se`x' = round(``x'_se_`i'',.001)
						/* Occasionally the round function gives output 
						like 1.2340000000000001. Here, we truncate those outputs */
							local dec = ""
							local dec = substr("``x'_se_`i''",strpos("``x'_se_`i''","."),.)
							if (strlen("`dec'")>4) local `x'_se_`i' = substr("``x'_se_`i''",1,strpos("``x'_se_`i''",".")+3)
							if (strlen("`dec'")==3) local `x'_se_`i' = "``x'_se_`i''0"
							if (strlen("`dec'")==2) local `x'_se_`i' = "``x'_se_`i''00"
							if (strlen("`dec'")<2) local `x'_se_`i' = "``x'_se_`i''000"
						/* Put some brackets and asterisks on the standard errors */
							local `x'_se_`i' = "[``x'_se_`i'']"
							if (``x'_p_`i''<=.1) local `x'_se_`i' = "``x'_se_`i''*"
							if (``x'_p_`i''<=.05) local `x'_se_`i' = "``x'_se_`i''*"
							if (``x'_p_`i''<=.01) local `x'_se_`i' = "``x'_se_`i''*"
			}
		}
		local I = `i'
	preserve
			clear
			qui set obs `I'
			foreach v in var job ngo pcg total job_b job_se job_N ngo_b ngo_se ngo_N {
				qui gen `v' = ""
				forvalues i = 1/`I' {
					qui replace `v' = "``v'_`i''" in `i'
				}
			}
			export excel using "$ILEtables\Table 3.xlsx", sheet(raw) sheetreplace firstrow(var)
	restore
	/* End of2 table */
*$exit

**************************
/* Table 4: Who stays?  */
**************************

		/* Set sample restrictions for DVs */
	foreach dv in anyfacfarm_m_e facfarm_e {
		local sample = "& round <= 3 & found == 1"
		local rounddum = "EL13M"
		/* Run regression */
		reg `dv' ${baseline} ${cohort} `rounddum' if treatment_b == 1 `sample', cluster(appid) robust
		
		/* Set counter */
		local i = 0		
		foreach v in $baseline {
			local ++i
			local var_`i' = "`v'"
			local `dv'_b_`i' = _b[`v']
			local `dv'_se_`i' = _se[`v']
			local `dv'_p_`i' = 2*ttail(e(df_r),abs(_b[`v']/_se[`v']))
			qui foreach x in `dv' {
					local se`x' = round(``x'_se_`i'',.001)
					/* Occasionally the round function gives output 
					like 1.2340000000000001. Here, we truncate those outputs */
						local dec = ""
						local dec = substr("``x'_se_`i''",strpos("``x'_se_`i''","."),.)
						if (strlen("`dec'")>4) local `x'_se_`i' = substr("``x'_se_`i''",1,strpos("``x'_se_`i''",".")+3)
						if (strlen("`dec'")==3) local `x'_se_`i' = "``x'_se_`i''0"
						if (strlen("`dec'")==2) local `x'_se_`i' = "``x'_se_`i''00"
						if (strlen("`dec'")<2) local `x'_se_`i' = "``x'_se_`i''000"
					/* Put some brackets and asterisks on the standard errors */
						local `x'_se_`i' = "[``x'_se_`i'']"
						if (``x'_p_`i''<=.1) local `x'_se_`i' = "``x'_se_`i''*"
						if (``x'_p_`i''<=.05) local `x'_se_`i' = "``x'_se_`i''*"
						if (``x'_p_`i''<=.01) local `x'_se_`i' = "``x'_se_`i''*"
				}
		}
		local i1 = `i' + 1
		local i2 = `i' + 2
		local i3 = `i' + 3
		local i4 = `i' + 4
			local var_`i3' = "r2"
			local `dv'_b_`i3' = e(r2)
			local var_`i4' = "Observations"
			local `dv'_b_`i4' = e(N)
		qui testparm $baseline
			local var_`i2' = "F-Test"
			local `dv'_b_`i2' = r(p)
		qui sum `dv' if treatment_b == 1 `sample'
			local var_`i1' = "DV Mean"
			local `dv'_b_`i1' = r(mean)
		local I = `i4'
	}
		/* Populate table */
		preserve
			clear
			qui set obs `I'
			foreach v in var anyfacfarm_m_e_b anyfacfarm_m_e_se ///
			facfarm_e_b facfarm_e_se {
				qui gen `v' = ""
				forvalues i = 1/`I' {
					qui replace `v' = "``v'_`i''" in `i'
				}
			}
			destring *_b, replace
			export excel using "$ILEtables\Table 4.xlsx", sheet(raw) sheetreplace firstrow(var)
			restore
		*$exit
			
*****************************
/* Table 5 - Naive Premium */
*****************************
	
	/* Locals defining samples */
	local samp_all_2ob_2weeks "round<=3 & found == 1 & (pcg == 1|job == 1)"
	local samp_o4hrs_2ob_2weeks "round<=3 & found == 1 & (pcg == 1|job == 1) & (hourswork_wk_p99_e>=5 & hourswork_wk_p99_e!=.)"
	local samp_all_2ob_month "round<=3 & found == 1 & (pcg == 1|job == 1)"
	local samp_o4hrs_2ob_month "round<=3 & found == 1 & (pcg == 1|job == 1) & (hourswork_1w_p99_e>=5 & hourswork_1w_p99_e!=.)"
	
	/* 2 different control specifications */
	local controls_cov "${baseline}"
	local controls_nocov "female_b"

	/* Outcomes calculated over last 2 weeks and over last month */
	local outcomes_2weeks "less5hrs hourswork_wk_p99 totalprofit7_av_p99 totalprofit_h_av_p99"
	local outcomes_month "less5hrs_mo hourswork_1w_p99 cash_1w_p99 totalprofit_h_mav_p99"
	
	/* Specifications for 1 (average) observation per person or 1 observations per endline */
	local ext_2ob = "_e"
	local se_2ob = "robust cluster(appid)"

	foreach obs in 2ob {
		local j = 0
		foreach sample in all o4hrs {
			local ++j
			/* Set counter */
			local k = 0
			/* Loop over outcomes of interest */
			foreach horizon in 2weeks month {
				foreach y in `outcomes_`horizon'' {
					/* Increment counter */
					local ++k
					local name`k' = "`y'"
					/* Set up row counter */
					local i = 6*`j'-6
					/* Get means */
						local ++i
						local var_`i' "Non-fac/farm mean"
						qui sum `y'`ext_`obs'' if facfarm`ext_`obs'' == 0 & `samp_`sample'_`obs'_`horizon''
							local b_cov`k'_`i' = r(mean)
					/* Run with and without controls */
					foreach control in cov nocov {
						/* Run ITT regression */
						reg `y'`ext_`obs'' facfarm`ext_`obs'' `controls_`control'' ${blocks} if `samp_`sample'_`obs'_`horizon'', `se_`obs''
							local ++i
							/* Get var label */
							local var_`i' "facfarm`ext_`obs''_`control'"
							local b_cov`k'_`i' = _b[facfarm`ext_`obs'']
							local se_cov`k'_`i' = _se[facfarm`ext_`obs'']
							local p_cov`k'_`i' = 2*ttail(e(df_r),abs(_b[facfarm`ext_`obs'']/_se[facfarm`ext_`obs'']))
							/* Format standard errors */
							foreach x in cov`k'_`i' {
								local se_`x' = round(`se_`x'',.001)
								/* Occasionally the round function gives output 
								like 1.2340000000000001. Here, we truncate those outputs */
									local dec = ""
									local dec = substr("`se_`x''",strpos("`se_`x''","."),.)
									if (strlen("`dec'")>4 ) local se_`x' = substr("`se_`x''",1,strpos("`se_`x''",".")+3)
									if (strlen("`dec'")==3) local se_`x' = "`se_`x''0"
									if (strlen("`dec'")==2) local se_`x' = "`se_`x''00"
									if (strlen("`dec'")<2 & strlen("`dec'")!= 0) local se_`x' = "`se_`x''000"
									if (strlen("`dec'")== 0) local se_`x' = "`se_`x''.000"
								/* Put some brackets and asterisks on the standard errors */
									local se_`x' = "[`se_`x'']"
									if (`p_`x''<=.1 ) local se_`x' = "`se_`x''*"
									if (`p_`x''<=.05) local se_`x' = "`se_`x''*"
									if (`p_`x''<=.01) local se_`x' = "`se_`x''*"
							} /* End standard error loop */
							/* Put standard error below point estimate */
							local ++i
							local b_cov`k'_`i' = "`se_cov`k'_`=`i'-1''"
					} /* End control loop */
					/* Get number of observations */
					local ++i
					local var_`i' "Observations"
					local b_cov`k'_`i' = e(N)
				} /* End outcome subgroup loop */
			} /* End outcome loop */
		} /* End sample loop */
		/* Get number of rows and columns */
		local K = `k'
		local I = `i'
		/* Create matrix for results */
		preserve
			clear
			qui set obs `I'
			foreach x in var {
				qui gen `x' = ""
				forvalues i = 1/`I' {
					qui replace `x' = "``x'_`i''" in `i'
				}
			}
			forv k = 1/`K' {
				qui gen `name`k'' = ""
				forvalues i = 1/`I' {
					qui replace `name`k'' = "`b_cov`k'_`i''" in `i'
				}
			}
			/* Export table */
			export excel using "$ILEtables\Table 5.xlsx", sheet("raw `obs'") sheetreplace firstrow(var)
		restore
		/* End of table */	
	} /* End loop over obs per person */
	*$exit

***************************
/* Figure 1 - ATE figure */
***************************

preserve
	local i = 0
	foreach y in  ncogskillsfamilyindex fempowerfamilyindex socintefamilyindex antifirmfamilyindex menthealthfamilyindex physhealthfamilyindex incomefamilyindex employmentfamilyindex  {
		local ++i
		local var`i' = "`y'"
		local sample1 "round<=3 & found == 1"
		/* Loop over short term and long term */
					/* Run first regression */
					qui reg `y'_e job ngo ${controls} ${blocks} i.round if `sample1', robust cluster(appid)
					/* Recover Coefficients, standard errors, and p-values */
						foreach x in job ngo  {
							local `x'_b`i' = _b[`x']
							local `x'_se`i' = _se[`x']
							local `x'_n`i'= e(N)
							qui testparm `x'
								local `x'_p`i' = r(p)
				}
				
	}
	
	local I = `i'
		clear
		qui set obs `=`I'*2'
		gen var = ""
		gen treat = ""
		gen b = .
		gen se = .
		forv i = 1/`I' {

			local j = 0
			foreach x in job ngo  {
				local ++j
					qui replace var = "`var`i''" if _n == `=`i'*2-2 + `j'' 
					qui replace treat = "`x'" if _n == `=`i'*2-2 + `j'' 
					qui replace b = ``x'_b`i'' in `=`i'*2-2 + `j''
					qui replace se = ``x'_se`i'' in `=`i'*2-2 + `j''
			}
		}
	
gen y = _N/2 - ceil(_n/2) + 1
replace y = 3*y
replace b = b + 1.8 if treat == "ngo"
replace b = b + 1 if treat == "job"
replace y = -y +18

expand 2
bys var treat: gen conf = b + (-1)^(_n) * se*1.96
	encode treat, g(t)
	encode var, g(v)
	
	set obs `=_N+1'
	count
	local obs = r(N)
	replace y=-7 in `obs'
	
	levelsof t, l(t)
	levelsof v, l(v)
	local intervals ""
	local color_1 blue
	local color_2 green
		
	foreach x in `t' {
			foreach z in `v' {
					local intervals `"`intervals' (li y conf if t == `x' & v == `z', lc(`color_`x'') lw(thick))"'		
			}
	}
graph set window fontface "Times New Roman"


tw (sc y b if t==1 , m(S) mcolor(blue)) ///
	(sc y b if t!=1 , m(S) mcolor(green)) ///
	`intervals' ///
	, xline(1 1.8, lc(gs10)) ///
	xline(.8 .9 1.1 1.2 1.3 1.4 1.6 1.7 1.9 2 2.1 2.2, lc(gs14)) ///
	yscale(range(-1 9)) xscale(range(.7 2.3)) ///
	xmlabel(.8 "-.2" .9 "-.1" 1 "0" 1.1 ".1" 1.2 ".2" 1.3 ".3" 1.4 ".4" 1.6 "-.2" 1.7 "-.1" 1.8 "0" 1.9 ".1" 2.0 ".2" 2.1 ".3" 2.2 ".4" , labgap(*.8) labsize(*1)) ///
	xlabel(1 "Job offer" 1.8 "Entrepreneurship program" , labgap(*3) labsize(*.8)) ///
	ylabel( -6 "Non-cognitive skills" -3 "Autonomy" 0 "Social integration" 3 "Anti-firm attitudes" 6 "Mental health" 9 "Physical health" 12 "Income" 15 "Employment", angle(horizontal) noticks) scheme(s1color) ///
	ytitle("") xtitle("Impact by treatment arm, standard deviations") ///
	legend(off) aspectratio(.6)  ysize(7.5) xsize(12) ///
	/* Employment */ ///
	text(14.2 1.05 "p = 0.289 / 0.909", place(c)  size(small)) /*JOB*/ /// 
	text(14.2 1.85 "p = 0.594 / 0.849", place(c)  size(small)) /*NGO*/ ///
	/* Income */ ///
	text(11.2 1.0 "p = 0.762 / 0.949 ", place(c)  size(small)) /*JOB*/ /// 
	text(11.2 1.95 "p = 0.018 / 0.029", place(c)  size(small)) /*NGO*/ /// 
	/* Physical health */ ///
	text(8.2 .8 "p = 0.004 / 0.020", place(c)  size(small)) /*JOB*/ /// 
	text(8.2 1.7 "p = 0.117 / 0.343", place(c)  size(small)) /*NGO*/ /// 
	/* Mental health */ ///
	text(5.2 1.07 "p = 0.313 / 0.909", place(c)  size(small)) /*JOB*/ /// 
	text(5.2 2.04 "p < 0.001 / 0.001", place(c)  size(small)) /*NGO*/ /// 
	/* Anti-firm attitudes */ ///
	text(2.37 1.05 "p = 0.558 / 0.917", place(c)  size(small)) /*JOB*/ /// 
	text(2.37 1.70 "p = 0.321 / 0.755", place(c)  size(small)) /*NGO*/ /// 
	/* Social integration */ ///
	text(-.67 1 "p = 0.770 / 0.949", place(c)  size(small)) /*JOB*/ /// 
	text(-.67 1.77 "p = 0.786 / 0.849", place(c)  size(small)) /*NGO*/ /// 
	/* Autonomy */ ///
	text(-3.67 .95 "p = 0.364 / 0.909", place(c)  size(small)) /*JOB*/ /// 
	text(-3.67 1.76 "p = 0.461 / 0.849", place(c)  size(small)) /*NGO*/ /// 
	/* Non-cognitive skills */ ///
	text(-6.67 .95 "p = 0.221 / 0.909", place(c)  size(small)) /*JOB*/ /// 
	text(-6.67 1.85 "p = 0.480 / 0.849", place(c)  size(small)) /*NGO*/ /// 
	
	
graph export "$ILEgraphs\1_ATElinegraph.pdf", replace fontface("Times New Roman")
restore

*$exit

*****************************************
/* Tables 6,8, & 11: ITT effects       */
*****************************************
/* Table 6:     Econ                   */
/* Table 8:     HumanCapital           */
/* Table 9:     Econ & HumanCapital    */
/*			   (highlighted in yellow) */
/* Table 11:    Other_Appendix         */
/* Table D3:   	Indices	               */
/* Table D4:   	Other_Econ             */
/* Table D5:   	Other_Health           */
/* Table D7:    Other_Appendix         */
*****************************************

	/* Loop over tables */ 
	foreach t in  Econ HumanCapital Other_Appendix Indices Other_Econ Other_Health  { 
		local DVs "${outcomes_`t'}"
		/* Set counter */
		local i = 0
		/* Loop over outcomes of interest */
		foreach y in `DVs' {
			/* Increment counter */
			local ++i
			/* Get var label */
			local var`i': var lab `y'
			/* Set sample */
			if ("`y'" == "migrated_e") {
				local sample1 "round<=3"
			}
	
			else {
				if ("`y'" == "totalcash_absdev_e" | "`y'" == "totalcash_sqdev_e" | "`y'" == "totalprofit_absdev_e" | "`y'" == "totalprofit_sqdev_e") {
					local sample1 "round<=2 & found_av == 1"
				}
				else {
					local sample1 "round<=3 & found == 1"
				}
			}
			/* Get means and SD by treatment status */
			qui sum `y' if treatment_b == 1 & `sample1'
				local m_job`i' = r(mean)
				local sd_job`i' = r(sd)
			qui sum `y' if treatment_b == 2 & `sample1'
				local m_ngo`i' = r(mean)
				local sd_ngo`i' = r(sd)
			qui sum `y' if treatment_b == 0 & `sample1'
				local m_control`i' = r(mean)
				local sd_control`i' = r(sd)
			qui count if !missing(`y') & `sample1'
				local N`i' = r(N)
			/* Run ITT regression */
			qui reg `y' job ngo ${blocks} ${controls} i.round if `sample1', robust cluster(appid) 
				/* Coefficient for job recipients */
				local b_ittjob`i' = _b[job]
				local se_ittjob`i' = _se[job]
				local p_ittjob`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
				/* Coefficient for cash recipients */
				local b_ittngo`i' = _b[ngo]
				local se_ittngo`i' = _se[ngo]
				local p_ittngo`i' = 2*ttail((e(N)-1)-e(df_m),abs(_b[ngo]/_se[ngo]))
				/* Recover N */
				local Nreg`i' = e(N)
				qui lincom job - ngo
						local b_diff`i' = r(estimate)
						local se_diff`i' = r(se)
						local p_diff`i' = 2*ttail(e(df_r),abs(r(estimate)/r(se)))
			/* Run TOT regression */
			cap qui ivregress 2sls `y' ngo ${blocks} ${controls} i.round (anyfacfarm_m_e=job) if `sample1', robust cluster(appid)
				if !_rc {
					/* Coefficient for job recipients */
					local b_totjob`i' = _b[anyfacfarm_m_e]
					local se_totjob`i' = _se[anyfacfarm_m_e]
					local p_totjob`i' = 2*ttail((e(N)-1)-e(df_m),abs(_b[anyfacfarm_m_e]/_se[anyfacfarm_m_e]))
					local N_totjob`i' = e(N)
					/* Coefficient for cash recipients */
					local b_totngo`i' = _b[ngo]
					local se_totngo`i' = _se[ngo]
					local p_totngo`i' = 2*ttail((e(N)-1)-e(df_m),abs(_b[ngo]/_se[ngo]))
					local N_totngo`i' = e(N)
				}
				else {
					/* Coefficient for job recipients */
					local b_totjob`i' = 0
					local se_totjob`i' = 0
					local p_totjob`i' = 1
					/* Coefficient for cash recipients */
					local b_totngo`i' = 0
					local se_totngo`i' = 0
					local p_totngo`i' = 1
				}
			/* Format standard errors */
			foreach x in ittjob`i' ittngo`i' totjob`i' totngo`i' diff`i' {
				local se_`x' = round(`se_`x'',.001)
				/* Occasionally the round function gives output 
				like 1.2340000000000001. Here, we truncate those outputs */
					local dec = ""
					local dec = substr("`se_`x''",strpos("`se_`x''","."),.)
					if (strlen("`dec'")>4 ) local se_`x' = substr("`se_`x''",1,strpos("`se_`x''",".")+3)
					if (strlen("`dec'")==3) local se_`x' = "`se_`x''0"
					if (strlen("`dec'")==2) local se_`x' = "`se_`x''00"
					if (strlen("`dec'")<2 ) local se_`x' = "`se_`x''000"
				/* Put some brackets and asterisks on the standard errors */
					local se_`x' = "[`se_`x'']"
					if (`p_`x''<=.1 ) local se_`x' = "`se_`x''*"
					if (`p_`x''<=.05) local se_`x' = "`se_`x''*"
					if (`p_`x''<=.01) local se_`x' = "`se_`x''*"
			}
		}
		/* Get number of DVs */
		local I = `i'
		/* Create matrix for results */
		preserve
			clear
			qui set obs `I'
			foreach x in var m_job sd_job m_ngo sd_ngo m_control sd_control N b_ittjob se_ittjob ///
			b_ittngo se_ittngo Nreg b_totjob se_totjob ///
			b_totngo se_totngo  N_totjob  N_totngo b_diff se_diff {
				qui gen `x' = ""
				forvalues i = 1/`I' {
					qui replace `x' = "``x'`i''" in `i'
				}
			}
			qui destring m_job sd_job m_ngo sd_ngo m_control sd_control N b_*, replace
			/* Export table */
			export excel using "$ILEtables\Table `t'.xlsx", sheet(raw) sheetreplace firstrow(var)
		restore
		/* End of table */
	}
	/* End of Section */
	*$exit 
	
	
********************************************
/*			Table 7: Heterogeneity 		  */
********************************************

gen earningsability_loo = .
levelsof appid, local(participants)

*Control predicted value based off all other respondents assigned to the control group
foreach i in `participants' {
	qui sum pcg if appid == `i'
		if r(mean) == 1 {
			qui reg totalprofit7_av_p99_e_av ${cohort} ${controls} i.round if round<=2 & found == 1 & pcg & appid != `i'
			predict earningsability_xb`i', xb
				replace earningsability_loo = earningsability_xb`i' if appid == `i'
			drop earningsability_xb`i'
		}
}
*Treatment predicted value based off the entire control group
reg totalprofit7_av_p99_e_av ${cohort} ${controls} i.round if round<=2 & found == 1 & pcg
predict earningsability_xb, xb
	replace earningsability_loo = earningsability_xb if !pcg
		
*Standardize entire sample	
	qui sum earningsability_loo if round <= 2	
	qui replace earningsability_loo = (earningsability_loo - r(mean))/r(sd) if !missing(earningsability_loo) 

*Label and create dummies	
	la var earningsability_loo "Predicted EL earnings based on BL characteristics"
	qui sum earningsability_loo if round <= 2, d
	qui gen earningsability_dum = earningsability_loo>r(p50) if !missing(earningsability_loo)
	la var earningsability_dum "Dummy for high predicted EL earnings based on BL characteristics"

	qui gen earningsability_3quart = (earningsability_loo>r(p25)& earningsability_loo<=r(p50)) if !missing(earningsability_loo)
	la var earningsability_3quart "Dummy for predicted EL earnings from p25 to p50"
	qui gen earningsability_2quart = (earningsability_loo>r(p50)& earningsability_loo<=r(p75)) if !missing(earningsability_loo)		
	la var earningsability_2quart "Dummy for predicted EL earnings from p50 to p75"	
	qui gen earningsability_1quart = (earningsability_loo>r(p75)) if !missing(earningsability_loo)
	la var earningsability_1quart "Dummy for predicted EL earnings above p75"
	
/* Generate heterogeneity interactions */
gen earningsabilityXjob = earningsability_dum * job
	la var earningsabilityXjob "Product of earningsability_dum and assignment to job offer"
gen earningsabilityXngo = earningsability_dum * ngo
	la var earningsabilityXngo "Product of earningsability_dum and assignment to cash grant"
foreach q in 1 2 3 {
	qui gen earningsabilityQ`q'Xjob = earningsability_`q'quart * job
		la var earningsabilityQ`q'Xjob "Product of earningsability_`x'quart and assignment to job offer"
	gen earningsabilityQ`q'Xngo = earningsability_`q'quart * ngo
		la var earningsabilityQ`q'Xngo "Product of earningsability_`x'quart and assignment to cash grant"
}
	

/* With baseline controls */
local i = 0
foreach y in facfarm totalprofit7_av_p99 disabled healthproblems stat_change1 totalprofit_h_av_p99 {
	local ++i
	local var_`i' = "`y'" 
	reg `y'_e job ngo earningsability_dum earningsabilityXjob earningsabilityXngo ${cohort} ${controls} i.round  if round<=3 & found==1, robust 
		foreach x in job earningsabilityXjob ngo earningsabilityXngo earningsability_dum {
					local b_`x'_`i' = _b[`x']
					local se_`x'_`i' = _se[`x']
					local p_`x'_`i' = 2*ttail(e(df_r),abs(_b[`x']/_se[`x']))
					local n_`x'_`i' = e(N)
					/* Format standard errors */
					foreach j in `x'_`i' {
						local se_`j' = round(`se_`j'',.001)
						/* Occasionally the round function gives output 
						like 1.2340000000000001. Here, we truncate those outputs */
							local dec = ""
							local dec = substr("`se_`j''",strpos("`se_`j''","."),.)
							if (strlen("`dec'")>4 ) local se_`j' = substr("`se_`j''",1,strpos("`se_`j''",".")+3)
							if (strlen("`dec'")==3) local se_`j' = "`se_`j''0"
							if (strlen("`dec'")==2) local se_`j' = "`se_`j''00"
							if (strlen("`dec'")<2 ) local se_`j' = "`se_`j''000"
						/* Put some brackets and asterisks on the standard errors */
							local se_`j' = "[`se_`j'']"
							if (`p_`j''<=.1 ) local se_`j' = "`se_`j''*"
							if (`p_`j''<=.05) local se_`j' = "`se_`j''*"
							if (`p_`j''<=.01) local se_`j' = "`se_`j''*"
					}
			}
		lincom job + earningsabilityXjob
					local b_lincom1_`i' = r(estimate)
					local se_lincom1_`i' = r(se)
					local p_lincom1_`i' = 2*ttail(r(df),abs(r(estimate)/r(se)))
		lincom ngo + earningsabilityXngo
					local b_lincom2_`i' = r(estimate)
					local se_lincom2_`i' = r(se)
					local p_lincom2_`i' = 2*ttail(r(df),abs(r(estimate)/r(se)))		
		foreach j in lincom1_`i' lincom2_`i' {
						local se_`j' = round(`se_`j'',.001)
						/* Occasionally the round function gives output 
						like 1.2340000000000001. Here, we truncate those outputs */
							local dec = ""
							local dec = substr("`se_`j''",strpos("`se_`j''","."),.)
							if (strlen("`dec'")>4 ) local se_`j' = substr("`se_`j''",1,strpos("`se_`j''",".")+3)
							if (strlen("`dec'")==3) local se_`j' = "`se_`j''0"
							if (strlen("`dec'")==2) local se_`j' = "`se_`j''00"
							if (strlen("`dec'")<2 ) local se_`j' = "`se_`j''000"
						/* Put some brackets and asterisks on the standard errors */
							local se_`j' = "[`se_`j'']"
							if (`p_`j''<=.1 ) local se_`j' = "`se_`j''*"
							if (`p_`j''<=.05) local se_`j' = "`se_`j''*"
							if (`p_`j''<=.01) local se_`j' = "`se_`j''*"
					}		
		
					
	}
		
	
	
	
	local I = `i'
	/* Build table */
	preserve
		clear
		set obs 14
		gen var = ""
		forv i = 1/`I' {
			gen `var_`i'' = ""
		}
		local j = 0
		foreach x in job earningsabilityXjob lincom1 ngo earningsabilityXngo lincom2 earningsability_dum  {
			local ++j
			qui replace var = "`x'" in `=`j'*2-1'
			forv i = 1/`I' {
				qui replace `var_`i'' = "`b_`x'_`i''" in `=`j'*2-1'
				qui replace `var_`i'' = "`se_`x'_`i''" in `=`j'*2'
			}
		}
		gen ssize = ""
		replace ssize = "`n_earningsabilityXjob_1'"  in 1
		replace ssize = "`n_earningsabilityXjob_2'"  in 2
		export excel using "$ILEtables\Table 7.xlsx", sheet("raw loo", modify) firstrow(var)
/* End of Table */
restore
*exit


********************************************
/* 		Table 10: Workplace conditions 	  */
********************************************

	* FOR WORKPLACE OUTCOMES (15 HOURS)
	/* Loop over tables */
	foreach t in Workplace { 
		local DVs "${outcomes_`t'}"
		/* Set counter */
		local i = 0
		/* Loop over outcomes of interest */
		foreach y in `DVs' {
			/* Increment counter */
			local ++i
			/* Get var label */
			local var`i': var lab `y'
			/* Set sample */
			if ("`y'" == "migrated_e") {
				local sample1 "round<=3"
			}
			else {
				if ("`y'" == "totalcash_absdev_e" | "`y'" == "totalcash_sqdev_e" | "`y'" == "totalprofit_absdev_e" | "`y'" == "totalprofit_sqdev_e") {
					local sample1 "round<=2 & found_av == 1"
				}
				else {
					local sample1 "round<=3 & found == 1"
				}
			}
			/* Get means and SD by treatment status */
			qui sum `y' if treatment_b == 1 & `sample1'
				local m_job`i' = r(mean)
				local sd_job`i' = r(sd)
			qui sum `y' if treatment_b == 2 & `sample1'
				local m_ngo`i' = r(mean)
				local sd_ngo`i' = r(sd)
			qui sum `y' if treatment_b == 0 & `sample1'
				local m_control`i' = r(mean)
				local sd_control`i' = r(sd)
			qui count if !missing(`y') & `sample1'
				local N`i' = r(N)
			/* Run ITT regression */
			qui reg `y' job ngo ${blocks} ${controls} if `sample1', robust cluster(appid)
				/* Coefficient for job recipients */
				local b_ittjob`i' = _b[job]
				local se_ittjob`i' = _se[job]
				local p_ittjob`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
				/* Coefficient for cash recipients */
				local b_ittngo`i' = _b[ngo]
				local se_ittngo`i' = _se[ngo]
				local p_ittngo`i' = 2*ttail((e(N)-1)-e(df_m),abs(_b[ngo]/_se[ngo]))
				/* Recover N */
				local Nreg`i' = e(N)
			/* Run non-experimental OLS */
			qui reg `y' facfarm_e ${blocks} ${controls} if `sample1', robust cluster(appid)
			/* Coefficient for job recipients */
				local b_olsnoX`i' = _b[facfarm_e]
				local se_olsnoX`i' = _se[facfarm_e]
				local p_olsnoX`i' = 2*ttail(e(df_r),abs(_b[facfarm_e]/_se[facfarm_e]))
				/* Recover N */
				local N_olsnoX`i' = e(N)
				
			/* Non-zero employment hours*/
			qui reg `y' facfarm_e nonindhours15_wk_p99_e  ${blocks} ${controls} if `sample1' & hourswork_wk_p99_e!=0, robust cluster(appid)
				local b_olsX`i' = _b[facfarm_e]
				local se_olsX`i' = _se[facfarm_e]
				local p_olsX`i' = 2*ttail(e(df_r),abs(_b[facfarm_e]/_se[facfarm_e]))
				
				local b_ols15`i' = _b[nonindhours15_wk_p99_e]
				local se_ols15`i' = _se[nonindhours15_wk_p99_e]
				local p_ols15`i' = 2*ttail(e(df_r),abs(_b[nonindhours15_wk_p99_e]/_se[nonindhours15_wk_p99_e]))
			
				/* Recover N */
				local N_olsX`i' = e(N)
				
			/* Format standard errors */
			foreach x in ittjob`i' ittngo`i' olsnoX`i' olsX`i' ols15`i' {
				local se_`x' = round(`se_`x'',.001)
				/* Occasionally the round function gives output 
				like 1.2340000000000001. Here, we truncate those outputs */
					local dec = ""
					local dec = substr("`se_`x''",strpos("`se_`x''","."),.)
					if (strlen("`dec'")>4 ) local se_`x' = substr("`se_`x''",1,strpos("`se_`x''",".")+3)
					if (strlen("`dec'")==3) local se_`x' = "`se_`x''0"
					if (strlen("`dec'")==2) local se_`x' = "`se_`x''00"
					if (strlen("`dec'")<2 ) local se_`x' = "`se_`x''000"
				/* Put some brackets and asterisks on the standard errors */
					local se_`x' = "[`se_`x'']"
					if (`p_`x''<=.1 ) local se_`x' = "`se_`x''*"
					if (`p_`x''<=.05) local se_`x' = "`se_`x''*"
					if (`p_`x''<=.01) local se_`x' = "`se_`x''*"
			}
		}
		/* Get number of DVs */
		local I = `i'
		/* Create matrix for results */
		preserve
			clear
			qui set obs `I'
			foreach x in var m_job sd_job m_ngo sd_ngo m_control sd_control N b_ittjob se_ittjob ///
			b_ittngo se_ittngo Nreg  ///
			b_olsnoX se_olsnoX N_olsnoX b_olsX se_olsX b_ols15 se_ols15 N_olsX {
				qui gen `x' = ""
				forvalues i = 1/`I' {
					qui replace `x' = "``x'`i''" in `i'
				}
			}
			qui destring m_job sd_job m_ngo sd_ngo m_control sd_control N b_*, replace
			/* Export table */
			export excel using "$ILEtables\Table 10.xlsx", sheet(raw) sheetreplace firstrow(var)
		restore
		/* End of table */
	}
	/* End of Section */
	*$exit
	
	
	
	
**************************
/* Table 12: Robustness */
**************************
/* Note: This table takes
around two hours to run */
**************************

		/* Set output name */
		global table "Table 12"
		
		/* Set controls for dif-in-dif */
		gl control_facfarm "$demo $cog $econ $work $exper $optim $support $health $personality" // removed work hours
		gl control_totalprofit7_av_p99 "$demo $cog $exper $optim $support $health $personality" // removed general economic vars (income, assets, work hours)
		gl control_disabled "$demo $cog $econ $work $exper $optim $support stat_change1_b phqtotal_r_std_b gadtotal_r_std_b $personality" // removed disabled and health
		gl control_stat_change1 "$demo $cog $econ $work $exper $optim $support healthproblems_p99_b disabled_b phqtotal_r_std_b gadtotal_r_std_b $personality" // only removed stat change
		
		/* Set counter */
		local i = 0
		/* Get number of outcomes */
		local num : word count $outcomes_robustness

		/* Loop over outcomes of interest */
		foreach y in $outcomes_robustness {
			/* Increment counter */
			local ++i
			local j = `i' + `num'+1
			/* Get var label */
			local var`i': var lab `y'_e
			local var`j': var lab `y'_e
			/* Run ITT regression with ~2 observation per person */
			qui reg `y'_e job ngo ${controls} ${blocks} i.round if round <= 3 & found == 1, robust cluster(appid)			
				/* Coefficient for job recipients */
					local b_itt`i' = _b[job]
					local se_itt`i' = _se[job]
					local p_itt`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
					local n_itt`i' = e(N)
				/* Coefficient for ngo recipients */
					local b_itt`j' = _b[ngo]
					local se_itt`j' = _se[ngo]
					local p_itt`j' = 2*ttail(e(df_r),abs(_b[ngo]/_se[ngo]))
					local n_itt`j' = e(N)
			/* Run diffence in differences with 1 observation per person */
			qui reg `y'_dif job ngo ${control_`y'} ${blocks} if round <= 3 & found == 1, robust 
				/* Coefficient for job recipients */
					local b_difdif_itt`i' = _b[job]
					local se_difdif_itt`i' = _se[job]
					local p_difdif_itt`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
					local n_difdif_itt`i' = e(N)
				/* Coefficient for ngo recipients */
					local b_difdif_itt`j' = _b[ngo]
					local se_difdif_itt`j' = _se[ngo]
					local p_difdif_itt`j' = 2*ttail(e(df_r),abs(_b[ngo]/_se[ngo]))	
					local n_difdif_itt`j' = e(N)
			/* Run ITT regression with average and no clustered errors */
			qui reg `y'_e_av job ngo ${controls} ${blocks} [aw=weight] if round <= 2 & found_av == 1, robust
				/* Coefficient for job recipients */
					local b_1ob_itt`i' = _b[job]
					local se_1ob_itt`i' = _se[job]
					local p_1ob_itt`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
					local n_lob_itt`i' = e(N)
				/* Coefficient for ngo recipients */
					local b_1ob_itt`j' = _b[ngo]
					local se_1ob_itt`j' = _se[ngo]
					local p_1ob_itt`j' = 2*ttail(e(df_r),abs(_b[ngo]/_se[ngo]))
					local n_lob_itt`j' = e(N)
			/* Run ITT regressions with alternate attrition scenarios for job offer*/
			foreach sd in 10 25 50 {
				qui reg `y'_e_`sd'sdJ job ngo ${blocks} ${controls} [aw=weight]  if round <= 3, robust cluster(appid)
					/* Coefficient for job recipients */
						local b_`sd'sd_itt`i' = _b[job]
						local se_`sd'sd_itt`i' = _se[job]
						local p_`sd'sd_itt`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
						local n_`sd'sd_itt`i' = e(N)
			}
			/* Run ITT regressions with alternate attrition scenarios for grant*/
			foreach sd in 10 25 50 {
				qui reg `y'_e_`sd'sdG job ngo ${blocks} ${controls} [aw=weight]  if round <= 3, robust cluster(appid)
					/* Coefficient for job recipients */
						local b_`sd'sd_itt`j' = _b[ngo]
						local se_`sd'sd_itt`j' = _se[ngo]
						local p_`sd'sd_itt`j' = 2*ttail(e(df_r),abs(_b[ngo]/_se[ngo]))
						local n_`sd'sd_itt`j' = e(N)
			}	
			
			/* Format standard errors */
			foreach z in `i' `j' {
				foreach x in itt`z' difdif_itt`z' 1ob_itt`z' 10sd_itt`z' 25sd_itt`z' 50sd_itt`z'  {
						local se_`x' = round(`se_`x'',.001)
						/* Occasionally the round function gives output 
						like 1.2340000000000001. Here, we truncate those outputs */
							local dec = ""
							local dec = substr("`se_`x''",strpos("`se_`x''","."),.)
							if (strlen("`dec'")>4 ) local se_`x' = substr("`se_`x''",1,strpos("`se_`x''",".")+3)
							if (strlen("`dec'")==3) local se_`x' = "`se_`x''0"
							if (strlen("`dec'")==2) local se_`x' = "`se_`x''00"
							if (strlen("`dec'")<2 ) local se_`x' = "`se_`x''000"
						/* Put some brackets and asterisks on the standard errors */
							local se_`x' = "[`se_`x'']"
							if (`p_`x''<=.1 ) local se_`x' = "`se_`x''*"
							if (`p_`x''<=.05) local se_`x' = "`se_`x''*"
							if (`p_`x''<=.01) local se_`x' = "`se_`x''*"
				}
			}
			if "`y'" ==  "totalprofit7_av_p99" {
				local ++i
				/* Run ITT regressions with alternate attrition scenarios for job offer*/
				foreach sd in 10 25 50 {
					qui reg `y'_e_`sd'sdJ2 job ngo ${blocks} ${controls} i.round [aw=weight] if round <= 2, robust cluster(appid)
						/* Coefficient for job recipients */
							local b_`sd'sd_itt`i' = _b[job]
							local se_`sd'sd_itt`i' = _se[job]
							local p_`sd'sd_itt`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
							local n_`sd'sd_itt`i' = e(N)
				}
				foreach x in 10sd_itt`i' 25sd_itt`i' 50sd_itt`i'  {
						local se_`x' = round(`se_`x'',.001)
						/* Occasionally the round function gives output 
						like 1.2340000000000001. Here, we truncate those outputs */
							local dec = ""
							local dec = substr("`se_`x''",strpos("`se_`x''","."),.)
							if (strlen("`dec'")>4 ) local se_`x' = substr("`se_`x''",1,strpos("`se_`x''",".")+3)
							if (strlen("`dec'")==3) local se_`x' = "`se_`x''0"
							if (strlen("`dec'")==2) local se_`x' = "`se_`x''00"
							if (strlen("`dec'")<2 ) local se_`x' = "`se_`x''000"
						/* Put some brackets and asterisks on the standard errors */
							local se_`x' = "[`se_`x'']"
							if (`p_`x''<=.1 ) local se_`x' = "`se_`x''*"
							if (`p_`x''<=.05) local se_`x' = "`se_`x''*"
							if (`p_`x''<=.01) local se_`x' = "`se_`x''*"
				}
			}
		}
		/* Get number of DVs */
		local I = `i' * 2
		local J = `I' * 2
		/* Create matrix for results */
		preserve
			clear
			qui set obs `J'
			foreach x in var b_itt b_difdif_itt b_1ob_itt b_10sd_itt b_25sd_itt b_50sd_itt  {
				qui gen `x' = ""
			}
			forvalues i = 1/`I' {
				local j = `i' * 2 - 1
				local j1 = `j' + 1
				foreach x in var {
					qui replace `x' = "``x'`i''" in `j'
				}
				foreach x in itt difdif_itt 1ob_itt 10sd_itt 25sd_itt 50sd_itt {
					qui replace b_`x' = "`b_`x'`i''" in `j'
					qui replace b_`x' = "`se_`x'`i''" in `j1'
				}
			}
			gen count = ""
			replace count = "`n_itt1'" in 1
			replace count = "`n_difdif_itt1'" in 2
			replace count = "`n_lob_itt1'" in 3
			replace count = "`n_10sd_itt1'" in 4
			replace count = "`n_25sd_itt1'" in 5
			replace count = "`n_50sd_itt1'" in 6

			
			
			
			
			/* Export table */
			export excel using "$ILEtables/${table}.xlsx", sheet(raw) sheetreplace firstrow(var)
		restore
		/* End of table */

		
	/* RANDOMIZATION INFERENCE */

	merge m:1 appid using "$ILEdata/ILE.RI.dta", nogen
			
	local i = 0
	local j = 0 /* seed for bootstrapping, to be incremented */
	/* Set restrictions for short and long term surveys */
	foreach y in facfarm totalprofit7_av_p99 disabled stat_change1 { 
		local ++i
		local var`i' = "`y'"
		/* Loop over short term and long term */
					local ++j			 				
			
				/* Randomization Inference */
					qui reg `y'_e job ngo ${controls} ${blocks} i.round if round <= 3 & found == 1, robust
					/* Recover Coefficients */
					foreach x in job ngo {
						local `x'1_b`i' = _b[`x']
					}
					
					/* For RI SE, create version of outcome variables w/out ATEs */
					qui gen `y'_sim = `y'_e
					foreach x in job ngo {
						replace `y'_sim = `y'_sim - ``x'1_b`i'' if `x'
					}
					
					forv k = 1/1000 {
						dis "rep # `k' out of 1000"
						set seed `=`j'*10000*`k''
						qui gen job_sim`k' = 0 
						qui gen ngo_sim`k' = 0
						replace job_sim`k'=1 if t`k'==1
						replace ngo_sim`k'=1 if t`k'==2
						
						* for point estimates *
						qui reg `y'_e job_sim`k' ngo_sim`k' ${controls} ${blocks} i.round if round <= 3 & found == 1, robust
						foreach x in job ngo {
							local b_`x'_`k' = _b[`x'_sim`k']
						}
						* for standard errors
						qui gen `y'_`k' = `y'_sim
						foreach x in job ngo {
							* create new outcome variables assuming constant treatment effects
							qui replace `y'_`k' = `y'_`k' + ``x'1_b`i'' if `x'_sim`k'==1
						}
						
						qui reg `y'_`k' job_sim`k' ngo_sim`k' ${controls} ${blocks} i.round if round <= 3 & found == 1, robust
						foreach x in job ngo {
							local bse_`x'_`k' = _b[`x'_sim`k']
						}
						drop job_sim`k' ngo_sim`k'  `y'_`k'
					}
					preserve
						clear
						set obs 1000
						foreach x in job ngo {
							qui gen `x' = .
							qui gen `x'_se = . 
							gen `x'_t = .
							qui gen fail = 0
							forv k = 1/1000 { 
								qui replace `x' =  `b_`x'_`k'' in `k' 
								qui replace fail = 1 in `k' if abs(``x'1_b`i'') <= abs(`b_`x'_`k'') 
								qui replace `x'_se = `bse_`x'_`k'' in `k'
								}
							qui sum `x'_se
								local `x'1_se`i' = r(sd)
							egen pval = mean(fail)
							local `x'1_p`i' = round(pval,.001)
							drop fail pval
							}
							restore
					}

	
			
				/* Format standard errors */
				foreach z in 1 {
					forv j = 1(1) 4 {
					foreach x in job`z' ngo`z' {
							local se = round(``x'_se`j'',.001)
							/* Fix rounding (Sometimes it rounds 1.234123 to 1.234000000001) */
							local dec = ""
							local dec = substr("`se'",strpos("`se'","."),.)
							if (strlen("`dec'")>4) local se = substr("`se'",1,strpos("`se'",".")+3)
							if (strlen("`dec'")==3) local se = "`se'0"
							if (strlen("`dec'")==2) local se = "`se'00"
							if (strlen("`dec'")<2) local se = "`se'000"
							/* Add asterisks and brackets */
							local `x'_se`j' = "[`se']"
							cap if (``x'_p`j''<=.10) local `x'_se`j' = "``x'_se`j''*"
							cap if (``x'_p`j''<=.05) local `x'_se`j' = "``x'_se`j''*"
							cap if (``x'_p`j''<=.01) local `x'_se`j' = "``x'_se`j''*"
					}
					}
				}
		
	
	local I = `i'
	preserve
		clear
		qui set obs `=`I'*6'
		forv i = 1/`I' {
			cap gen var = ""
			qui replace var = "`var`i''" in `=`i'*6-5'
			*qui replace var = "`var`i''lt" in `=`i'*6-2'
			forv z = 1/2 {
				foreach x in job ngo {
					cap gen `x'`z' = ""
						qui replace `x'`z' = "``x'`z'_b`i''" in `=`i'*6-5'
						qui replace `x'`z' = "``x'`z'_se`i''" in `=`i'*6-4'
						qui replace `x'`z' = "``x'`z'_p`i''" in `=`i'*6-3'

						
						}
			}
		}
		export excel using "$ILEtables\Table 12.xlsx", sheetreplace sheet("raw ri") firstrow(var)
	
		restore

	
	/* End of table(s) */
*$exit
	
**********************************
/* 		APPENDIX TABLES 		*/
**********************************

***************************************************
/*	 	Appendix Table B1: Summary by factory 	 */
***************************************************

/* Firm Characteristics are entered directly into table based on qualitative reports */

**************************************************
/*   Appendix Table B2: Summary by factory 		*/
**************************************************

	/* Set counter */
		local i = 0			
		foreach var in $baseline_larger {
			local ++i
			local var`i' = "`var'"
			forv f = 100/104 {
			/* Control Mean */
				qui sum `var' if round_b == 1 & facid == `f'
					local `f'm`i' = r(mean)
			}
		}
		local ++i
		local var`i' = "Particpants"
			forv f = 100/104 {
			/* Control Mean */
				qui count if round_b == 1 & facid == `f'
					local `f'm`i' = r(N)
			}		
		local I = `i'
		preserve
			clear
			qui set obs `I'
			qui gen var = ""
			forv f = 100/104 {
				qui gen mean_`f' = .
			}
			forvalues i = 1/`I' {
				qui replace var =  "`var`i''" in `i'
				forv f = 100/104 {
					qui replace mean_`f' = ``f'm`i'' in `i'
				}				
			}
			export excel using "$ILEtables\Table B2.xlsx", sheet(raw) sheetreplace firstrow(var)
		restore
		/* End of table */
*$exit

***************************************
/*	 	Appendix Tables C1, C2 		 */
***************************************

/* Generated by "Firm Survey Analysis.do" */

***************************************
/* 	Appendix Table D1: Attrition 	 */
***************************************

		foreach dv in unfound {
		/* Run regression */
		qui reg `dv'_e job ngo ${baseline} ${blocks}  if round<=3, cluster(appid) robust
		/* Set counter */
		local i = 0		
		foreach v in job ngo $baseline {
			local ++i
			local var_`i' = "`v'"
			local `dv'_b_`i' = _b[`v']
			local `dv'_se_`i' = _se[`v']
			local `dv'_p_`i' = 2*ttail(e(df_r),abs(_b[`v']/_se[`v']))
			qui foreach x in `dv' {
					local se`x' = round(``x'_se_`i'',.001)
					/* Occasionally the round function gives output 
					like 1.2340000000000001. Here, we truncate those outputs */
						local dec = ""
						local dec = substr("``x'_se_`i''",strpos("``x'_se_`i''","."),.)
						if (strlen("`dec'")>4) local `x'_se_`i' = substr("``x'_se_`i''",1,strpos("``x'_se_`i''",".")+3)
						if (strlen("`dec'")==3) local `x'_se_`i' = "``x'_se_`i''0"
						if (strlen("`dec'")==2) local `x'_se_`i' = "``x'_se_`i''00"
						if (strlen("`dec'")<2) local `x'_se_`i' = "``x'_se_`i''000"
					/* Put some brackets and asterisks on the standard errors */
						local `x'_se_`i' = "[``x'_se_`i'']"
						if (``x'_p_`i''<=.1) local `x'_se_`i' = "``x'_se_`i''*"
						if (``x'_p_`i''<=.05) local `x'_se_`i' = "``x'_se_`i''*"
						if (``x'_p_`i''<=.01) local `x'_se_`i' = "``x'_se_`i''*"
				}
		}
		local i1 = `i' + 1
		local i2 = `i' + 2
		local i3 = `i' + 3
		local i4 = `i' + 4
			local var_`i3' = "R2"
			local `dv'_b_`i3' = e(r2)
			local var_`i4' = "Observations"
			local `dv'_b_`i4' = e(N)		
		qui testparm ${baseline}
			local var_`i2' = "F-Test"
			local `dv'_b_`i2' = r(p)
		qui sum `dv'_e if round <= 3
			local var_`i1' = "DV Mean"
			local `dv'_b_`i1' = r(mean)
			local I = `i4'
	}
		/* Populate table */
		preserve
			clear
			qui set obs `I'
			foreach v in var unfound_b unfound_se {
				qui gen `v' = ""
				forvalues i = 1/`I' {
					qui replace `v' = "``v'_`i''" in `i'
				}
			}
			destring *_b, replace
			export excel using "$ILEtables\Table D1.xlsx", sheet(raw) sheetreplace firstrow(var)
			restore
		*$exit


***************************************
/* Appendix Table D2: Response Rate	 */
***************************************

	/* 11 Month Survey */
	qui count if round <= 2
		local N1 = r(N)
	qui count if round <= 2 & found == 1
		local F1 = r(N)
		local rate1 = `F1'/`N1'
	foreach t in job ngo pcg {
		qui count if round <= 2 & `t' == 1
			local N`t'_1 = r(N)
		qui count if round <= 2 & found == 1 & `t' == 1
			local F`t'_1 = r(N)
			local rate`t'_1 = `F`t'_1'/`N`t'_1'
	}
	qui reg found job ${blocks} female_b if round <= 2 & (pcg == 1 | job == 1), robust 
		local job_b1 = _b[job]
		qui testparm job
		local job_p1 = r(p)
	qui reg found ngo ${blocks} female_b if round <= 2 & (pcg == 1 | ngo == 1), robust 
		local ngo_b1 = _b[ngo]
		qui testparm ngo
		local ngo_p1 = r(p)	
	/* 13 Month Survey */
	qui count if round == 3
		local N2 = r(N)
	qui count if round == 3 & found == 1
		local F2 = r(N)
		local rate2 = `F2'/`N2'
	foreach t in job ngo pcg {
		qui count if round == 3 & `t' == 1
			local N`t'_2 = r(N)
		qui count if round == 3 & found == 1 & `t' == 1
			local F`t'_2 = r(N)
			local rate`t'_2= `F`t'_2'/`N`t'_2'
	}
	qui reg found job ${blocks} female_b if round == 3 & (pcg == 1 | job == 1), robust 
		local job_b2 = _b[job]
		qui testparm job
		local job_p2 = r(p)
	qui reg found ngo ${blocks} female_b if round == 3 & (pcg == 1 | ngo == 1), robust 
		local ngo_b2 = _b[ngo]
		qui testparm ngo
		local ngo_p2 = r(p)	
	/* Household Survey */
	qui count if round <= 2
		local N3 = r(N)
	qui count if round <= 2 & found_hh == 1
		local F3 = r(N)
		local rate3 = `F3'/`N3'
	foreach t in job ngo pcg {
		qui count if round <= 2 & `t' == 1
			local N`t'_3 = r(N)
		qui count if round <= 2 & found_hh == 1 & `t' == 1
			local F`t'_3 = r(N)
			local rate`t'_3 = `F`t'_3'/`N`t'_3'
	}
	qui reg found_hh job ${blocks} female_b  if round <= 2 & (pcg == 1 | job == 1), robust 
		local job_b3 = _b[job]
		qui testparm job
		local job_p3 = r(p)
	qui reg found_hh ngo ${blocks} female_b  if round <= 2 & (pcg == 1 | ngo == 1), robust 
		local ngo_b3 = _b[ngo]
		qui testparm ngo
		local ngo_p3 = r(p)	
	preserve
		clear
		set obs 3
		gen round = "EL 11"
		replace round = "EL 13" in 2
		replace round = "HH" in 3
		foreach v in N F rate ratejob_ ratengo_ ratepcg_ job_b job_p ngo_b ngo_p {
			qui gen `v' = .
			forv n = 1/3 {
				qui replace `v' = ``v'`n'' in `n'
			}
		}
		export excel using "$ILEtables\Table D2.xlsx", sheet(raw) sheetreplace firstrow(var)
	restore
	/* End of table */
	*$exit


****************************************************
/*  Appendix Figure D1:Distribution by treatment  */
****************************************************
	

local hourswork_wk_p99_e_w = 5
	la var hourswork_wk_p99_e "Weekly work hours"
local cash4weeks_p99_e_w = 100
	la var cash4weeks_p99_e "Monthly cash earnings"

local job_lab = "Job offer"

foreach x in hourswork_wk_p99_e  cash4weeks_p99_e {
	foreach t in job  { 
		qui sum `x' if (`t' == 1 | pcg == 1) & round<=3
		local start = r(min)
		if (`start' > 0) local start = 0
		if (`start' < 0) local start = `start'-.001
		tw hist `x' if `t'==1 & round<=2, percent start(`start') gap(10) color(black) width(``x'_w') ///
			|| hist `x' if pcg==1 & round<=2, width(``x'_w') start(`start') graphr(color(white)) percent gap(45) lc(black) fc(white) legend(label(1 "``t'_lab'") label(2 "Control")) xtitle("`:var la `x''")
		graph export "$ILEgraphs\d1_`x'_`t'.pdf", replace
	}
}

*$exit
***************************************
/* Appendix Table D6: 2 rounds vs 1  */
***************************************


		/* Set output name */
		global table "Table D6"
		
		/* Set counter */
		local i = 0
		/* Get number of outcomes */
		local num : word count $outcomes_robustness

		/* Loop over outcomes of interest */
		foreach y in employmentfamilyindex  incomefamilyindex  physhealthfamilyindex menthealthfamilyindex facfarm {
			/* Increment counter */
			local ++i
			local j = `i' + `num'+1
			/* Get var label */
			local var`i': var lab `y'_e
			local var`j': var lab `y'_e
			/* Run ITT regression with ~2 observation per person */
			qui reg `y'_e job ngo ${controls} ${blocks} i.round if round <= 3 & found == 1, robust cluster(appid)
				/* Coefficient for job recipients */
					local b_itt`i' = _b[job]
					local se_itt`i' = _se[job]
					local p_itt`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
					local n_itt`i' = e(N)
				/* Coefficient for ngo recipients */
					local b_itt`j' = _b[ngo]
					local se_itt`j' = _se[ngo]
					local p_itt`j' = 2*ttail(e(df_r),abs(_b[ngo]/_se[ngo]))
					local n_itt`j' = e(N)

			/* Run ITT regression with 1 observation per person */
			qui reg `y'_e job ngo ${controls} ${blocks} i.round if round < 3 & found == 1, robust
				/* Coefficient for job recipients */
					local b_itt1`i' = _b[job]
					local se_itt1`i' = _se[job]
					local p_itt1`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
					local n_itt1`i' = e(N)
				/* Coefficient for ngo recipients */
					local b_itt1`j' = _b[ngo]
					local se_itt1`j' = _se[ngo]
					local p_itt1`j' = 2*ttail(e(df_r),abs(_b[ngo]/_se[ngo]))
					local n_itt1`j' = e(N)
			/* Format standard errors */
			foreach z in `i' `j' {
				foreach x in itt`z' itt1`z' {
						local se_`x' = round(`se_`x'',.001)
						/* Occasionally the round function gives output 
						like 1.2340000000000001. Here, we truncate those outputs */
							local dec = ""
							local dec = substr("`se_`x''",strpos("`se_`x''","."),.)
							if (strlen("`dec'")>4 ) local se_`x' = substr("`se_`x''",1,strpos("`se_`x''",".")+3)
							if (strlen("`dec'")==3) local se_`x' = "`se_`x''0"
							if (strlen("`dec'")==2) local se_`x' = "`se_`x''00"
							if (strlen("`dec'")<2 ) local se_`x' = "`se_`x''000"
						/* Put some brackets and asterisks on the standard errors */
							local se_`x' = "[`se_`x'']"
							if (`p_`x''<=.1 ) local se_`x' = "`se_`x''*"
							if (`p_`x''<=.05) local se_`x' = "`se_`x''*"
							if (`p_`x''<=.01) local se_`x' = "`se_`x''*"
				}
			}
			
		}
		/* Get number of DVs */
		local I = `i' * 2
		local J = `I' * 2
		/* Create matrix for results */
		preserve
			clear
			qui set obs `J'
			foreach x in var b_itt b_itt1 {
				qui gen `x' = ""
			}
			forvalues i = 1/`I' {
				local j = `i' * 2 - 1
				local j1 = `j' + 1
				foreach x in var {
					qui replace `x' = "``x'`i''" in `j'
				}
				foreach x in itt itt1 {
					qui replace b_`x' = "`b_`x'`i''" in `j'
					qui replace b_`x' = "`se_`x'`i''" in `j1'
				}
			}
			 gen count = ""
			replace count = "`n_itt1'" in 1
			replace count = "`n_itt11'" in 2
			
			
			/* Export table */
			export excel using "$ILEtables/${table}.xlsx", sheet(raw) sheetreplace firstrow(var)
		restore
		/* End of table */
	*$exit	


		
*************************************
/*    Appendix Table D8: Gender    */
*************************************

		
		/* Set counter */
		local i = 0

		/* Loop over outcomes of interest */
		foreach y in treatmentfirm_30d_e treatdef3 facfarm_e migrated_e totalprofit7_av_p99_e healthproblems_e disabled_e schooltrainnow_e {
			/* Increment counter */
			local ++i
			/* Set sample */
			if ("`y'" == "migrated_e") {
				local sample1 ""
			}
			else {
				local sample1 "& found == 1"
			}
			/* Get var label */
			local var`i': var lab `y'
			/* Get control mean by gender */
			qui sum `y' if round <= 3 & treatment_b == 0 & female_b == 0 `sample1'
				local men_control`i' = r(mean)
			qui sum `y' if round <= 3 & treatment_b == 0 & female_b == 1 `sample1'
				local women_control`i' = r(mean)
			/* Run ITT regression */
			qui reg `y' job ngo ${blocks} ${controls} i.round if round<=3 & female_b == 0 `sample1', robust cluster(appid) 
				/* Coefficient for job recipients */
				local b_men_ittjob`i' = _b[job]
				local se_men_ittjob`i' = _se[job]
				local p_men_ittjob`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
				/* Coefficient for cash recipients */
				local b_men_ittngo`i' = _b[ngo]
				local se_men_ittngo`i' = _se[ngo]
				local p_men_ittngo`i' = 2*ttail(e(df_r),abs(_b[ngo]/_se[ngo]))
				/* Recover N */
				local men_Nreg`i' = e(N)
			/* Run ITT regression */
			qui reg `y' job ngo ${blocks} ${controls} i.round if round<=3 & female_b == 1 `sample1', robust cluster(appid)
				/* Coefficient for job recipients */
				local b_women_ittjob`i' = _b[job]
				local se_women_ittjob`i' = _se[job]
				local p_women_ittjob`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
				/* Coefficient for cash recipients */
				local b_women_ittngo`i' = _b[ngo]
				local se_women_ittngo`i' = _se[ngo]
				local p_women_ittngo`i' = 2*ttail(e(df_r),abs(_b[ngo]/_se[ngo]))
				/* Recover N */
				local women_Nreg`i' = e(N)
			/* Format standard errors */
			foreach x in men_ittjob`i' men_ittngo`i' women_ittjob`i' women_ittngo`i' {
				local se_`x' = round(`se_`x'',.001)
				/* Occasionally the round function gives output 
				like 1.2340000000000001. Here, we truncate those outputs */
					local dec = ""
					local dec = substr("`se_`x''",strpos("`se_`x''","."),.)
					if (strlen("`dec'")>4 ) local se_`x' = substr("`se_`x''",1,strpos("`se_`x''",".")+3)
					if (strlen("`dec'")==3) local se_`x' = "`se_`x''0"
					if (strlen("`dec'")==2) local se_`x' = "`se_`x''00"
					if (strlen("`dec'")<2 ) local se_`x' = "`se_`x''000"
				/* Put some brackets and asterisks on the standard errors */
					local se_`x' = "[`se_`x'']"
					if (`p_`x''<=.1 ) local se_`x' = "`se_`x''*"
					if (`p_`x''<=.05) local se_`x' = "`se_`x''*"
					if (`p_`x''<=.01) local se_`x' = "`se_`x''*"
			}
		}
		/* Get number of DVs */
		local I = `i'
		local J = `I' * 2
		/* Create matrix for results */
		preserve
			clear
			qui set obs `J'
			foreach x in var men_control b_men_ittjob b_men_ittngo men_Nreg women_control b_women_ittjob b_women_ittngo women_Nreg {
				qui gen `x' = ""
			}
			
			forvalues i = 1/`I' {
				local j = 2*`i' - 1
				local j1 = 2 * `i'
				foreach x in var men_control men_Nreg women_control women_Nreg {
					qui replace `x' = "``x'`i''" in `j'
				}
				foreach x in men_ittjob men_ittngo  women_ittjob women_ittngo {
					qui replace b_`x' = "`b_`x'`i''" in `j'			
					qui replace b_`x' = "`se_`x'`i''" in `j1'	
				}
			}
			destring men_control women_control men_Nreg women_Nreg, replace
			/* Export table */
			export excel using "$ILEtables\Table D8.xlsx", sheet(raw) sheetreplace firstrow(var)
		restore
		/* End of table */
	*$exit
	

*************************************
/*    Appendix Table D9: by firm   */
*************************************
		
		/* Set counter */
		local i = 0

		/* Loop over outcomes of interest */
		foreach y in treatmentfirm_30d treatdef3 facfarm_e migrated_e totalprofit7_av_p99_e healthproblems_e disabled_e schooltrainnow_e {
			/* Increment counter */
			local ++i
			/* Set sample */
			if ("`y'" == "migrated_e") {
				local sample1 ""
			}
			else {
				local sample1 "& found == 1"
			}
			/* Get var label */
			local var`i': var lab `y'
			/* Run ITT regression */
			qui reg `y' job ngo ${blocks} ${controls} i.round if round<=3 `sample1', robust cluster(appid)
				/* Coefficient for job recipients */
				local b_ittjob`i' = _b[job]
				local se_ittjob`i' = _se[job]
				local p_ittjob`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
				local n_ittjob`i' = e(N)
			/* Run TOT regression */
			qui cap ivregress 2sls `y' ngo ${blocks} ${controls} i.round (anyfacfarm_m_e=job) if round<=3 `sample1', robust cluster(appid)
				/* Coefficient for job recipients */
				if !_rc{ 
					local b_totjob`i' = _b[anyfacfarm_m_e]
					local se_totjob`i' = _se[anyfacfarm_m_e]
					local p_totjob`i' = 2*ttail((e(N)-1)-e(df_m),abs(_b[anyfacfarm_m_e]/_se[anyfacfarm_m_e]))
				}
				else {
					local b_totjob`i' = 0
					local se_totjob`i' = 0
					local p_totjob`i' = 100
				}
			/* Get factory results */
			foreach factory in 100 101 102 103 104 {
				/* We can't control for cohorts in firms that only have one cohort */
				if (`factory' == 100 | `factory' == 103) {
					local cohort "${cohort}"
				}
				else {
					local cohort ""
				}
				/* Run ITT regression */
				qui reg `y' job ngo ${blocks} ${controls} i.round if round<=3 & facid == `factory' `sample1', robust cluster(appid)
					/* Coefficient for job recipients */
					local b_f`factory'_ittjob`i' = _b[job]
					local se_f`factory'_ittjob`i' = _se[job]
					local p_f`factory'_ittjob`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
					local n_f`factory'_ittjob`i' = e(N)
				/* Run TOT regression */
				qui cap ivregress 2sls `y' ngo ${blocks} ${controls} i.round (anyfacfarm_m_e=job) if round<=3 & facid == `factory' `sample1', robust cluster(appid)
					/* Coefficient for job recipients */
					if !_rc{ 
						local b_f`factory'_totjob`i' = _b[anyfacfarm_m_e]
						local se_f`factory'_totjob`i' = _se[anyfacfarm_m_e]
						local p_f`factory'_totjob`i' = 2*ttail((e(N)-1)-e(df_m),abs(_b[anyfacfarm_m_e]/_se[anyfacfarm_m_e]))
					}
					else {
						local b_f`factory'_totjob`i' = 0
						local se_f`factory'_totjob`i' = 0
						local p_f`factory'_totjob`i' = 100
					}			
			}
			
			/* Format standard errors */
			foreach x in ittjob`i' totjob`i' f100_ittjob`i' f100_totjob`i' f101_ittjob`i' f101_totjob`i' 	///
				f102_ittjob`i' f102_totjob`i' f103_ittjob`i' f103_totjob`i' f104_ittjob`i' f104_totjob`i' {
					local se_`x' = round(`se_`x'',.001)
					/* Occasionally the round function gives output 
					like 1.2340000000000001. Here, we truncate those outputs */
						local dec = ""
						local dec = substr("`se_`x''",strpos("`se_`x''","."),.)
						if (strlen("`dec'")>4 ) local se_`x' = substr("`se_`x''",1,strpos("`se_`x''",".")+3)
						if (strlen("`dec'")==3) local se_`x' = "`se_`x''0"
						if (strlen("`dec'")==2) local se_`x' = "`se_`x''00"
						if (strlen("`dec'")<2 ) local se_`x' = "`se_`x''000"
					/* Put some brackets and asterisks on the standard errors */
						local se_`x' = "[`se_`x'']"
						if (`p_`x''<=.1 ) local se_`x' = "`se_`x''*"
						if (`p_`x''<=.05) local se_`x' = "`se_`x''*"
						if (`p_`x''<=.01) local se_`x' = "`se_`x''*"
			}
		}
		/* Get number of DVs */
		local I = `i'
		local J = `I' * 2
		/* Create matrix for results */
		preserve
			clear
			qui set obs `J'
			foreach x in var b_ittjob b_f100_ittjob b_f101_ittjob b_f102_ittjob 		///
			b_f103_ittjob b_f104_ittjob n_ittjob{
				qui gen `x' = ""
			}
			forvalues i = 1/`I' {
				local j = `i'*2 -1
				local j1 = `j' + 1
				foreach x in var {
					qui replace `x' = "``x'`i''" in `j'
				}
				foreach x in ittjob f100_ittjob f101_ittjob f102_ittjob 			///
				f103_ittjob f104_ittjob {
					qui replace b_`x' = "`b_`x'`i''" in `j'			
					qui replace b_`x' = "`se_`x'`i''" in `j1'	
				}
			}

			foreach q in 1 2 3 4 5 6 7 8 {
			gen size`q' = ""
			foreach factory in 100 101 102 103 104 {
				local space = `factory'-99
				replace size`q' = "`n_f`factory'_ittjob`q''" in `space'
				}
				}
			/* Export table */
			export excel using "$ILEtables\Table D9.xlsx", sheet(raw) sheetreplace firstrow(var)
		restore
		/* End of table */
	*exit	
	
	
	
*********************************************
/* Appendix Table D10: Excluding Firms ******/
*********************************************
*********************************************
		
		/* Set counter */
		local i = 0

		/* Loop over outcomes of interest */
		foreach y in treatmentfirm_30d treatdef3 facfarm_e migrated_e totalprofit7_av_p99_e healthproblems_e disabled_e schooltrainnow_e {
			/* Increment counter */
			local ++i
			/* Set sample */
			if ("`y'" == "migrated_e") {
				local sample1 ""
			}
			else {
				local sample1 "& found == 1"
			}
			/* Get var label */
			local var`i': var lab `y'
			/* Run ITT regression */
			qui reg `y' job ngo ${blocks} ${controls} i.round if round<=3 `sample1', robust cluster(appid)
				/* Coefficient for job recipients */
				local b_ittjob`i' = _b[job]
				local se_ittjob`i' = _se[job]
				local p_ittjob`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
			/* Run TOT regression */
			qui cap ivregress 2sls `y' ngo ${blocks} ${controls} i.round (anyfacfarm_m_e=job) if round<=3 `sample1', robust  cluster(appid)
				/* Coefficient for job recipients */
				if !_rc{ 
					local b_totjob`i' = _b[anyfacfarm_m_e]
					local se_totjob`i' = _se[anyfacfarm_m_e]
					local p_totjob`i' = 2*ttail((e(N)-1)-e(df_m),abs(_b[anyfacfarm_m_e]/_se[anyfacfarm_m_e]))
				}
				else {
					local b_totjob`i' = 0
					local se_totjob`i' = 0
					local p_totjob`i' = 100
				}
			/* Get factory results */
			foreach factory in 100 101 102 103 104 {
				/* Run ITT regression */
				qui reg `y' job ngo ${blocks} ${controls} i.round if round<=3 & facid != `factory' `sample1', robust cluster(appid)
					/* Coefficient for job recipients */
					local b_f`factory'_ittjob`i' = _b[job]
					local se_f`factory'_ittjob`i' = _se[job]
					local p_f`factory'_ittjob`i' = 2*ttail(e(df_r),abs(_b[job]/_se[job]))
					local n_f`factory'_ittjob`i' = e(N)
				/* Run TOT regression */
				qui cap ivregress 2sls `y' ngo ${blocks} ${controls} i.round (anyfacfarm_m_e=job) if round<=3 & facid != `factory' `sample1', robust cluster(appid)
					/* Coefficient for job recipients */
					if !_rc{ 
						local b_f`factory'_totjob`i' = _b[anyfacfarm_m_e]
						local se_f`factory'_totjob`i' = _se[anyfacfarm_m_e]
						local p_f`factory'_totjob`i' = 2*ttail((e(N)-1)-e(df_m),abs(_b[anyfacfarm_m_e]/_se[anyfacfarm_m_e]))
					}
					else {
						local b_f`factory'_totjob`i' = 0
						local se_f`factory'_totjob`i' = 0
						local p_f`factory'_totjob`i' = 100
					}			
			}
			
			/* Format standard errors */
			foreach x in ittjob`i' totjob`i' f100_ittjob`i' f100_totjob`i' f101_ittjob`i' f101_totjob`i' 	///
				f102_ittjob`i' f102_totjob`i' f103_ittjob`i' f103_totjob`i' f104_ittjob`i' f104_totjob`i' {
					local se_`x' = round(`se_`x'',.001)
					/* Occasionally the round function gives output 
					like 1.2340000000000001. Here, we truncate those outputs */
						local dec = ""
						local dec = substr("`se_`x''",strpos("`se_`x''","."),.)
						if (strlen("`dec'")>4 ) local se_`x' = substr("`se_`x''",1,strpos("`se_`x''",".")+3)
						if (strlen("`dec'")==3) local se_`x' = "`se_`x''0"
						if (strlen("`dec'")==2) local se_`x' = "`se_`x''00"
						if (strlen("`dec'")<2 ) local se_`x' = "`se_`x''000"
					/* Put some brackets and asterisks on the standard errors */
						local se_`x' = "[`se_`x'']"
						if (`p_`x''<=.1 ) local se_`x' = "`se_`x''*"
						if (`p_`x''<=.05) local se_`x' = "`se_`x''*"
						if (`p_`x''<=.01) local se_`x' = "`se_`x''*"
			}
		}
		/* Get number of DVs */
		local I = `i'
		local J = `I' * 2
		/* Create matrix for results */
		preserve
			clear
			qui set obs `J'
			foreach x in var b_ittjob b_f100_ittjob b_f101_ittjob b_f102_ittjob 		///
			b_f103_ittjob b_f104_ittjob {
				qui gen `x' = ""
			}
			forvalues i = 1/`I' {
				local j = `i'*2 -1
				local j1 = `j' + 1
				foreach x in var {
					qui replace `x' = "``x'`i''" in `j'
				}
				foreach x in ittjob f100_ittjob f101_ittjob f102_ittjob 			///
				f103_ittjob f104_ittjob {
					qui replace b_`x' = "`b_`x'`i''" in `j'			
					qui replace b_`x' = "`se_`x'`i''" in `j1'	
				}
			}
			/* Export table */
			forv i = 1(1)8 {
			gen size`i' = ""
			foreach factory in 100 101 102 103 104 {
				local space = `factory'-99
				replace size`i' = "`n_f`factory'_ittjob`i''" in `space'
				}
			}
			export excel using "$ILEtables\Table D10.xlsx", sheet(raw) sheetreplace firstrow(var)
		restore
		/* End of table */
	*$exit	
	
	
****************************************************
/*    Appendix Table D11: Correlates of earnings  */
****************************************************

	gl mincer "exactage_p99_b female_b disabled_b educ_p99_b regwork_nofac_exper_p99_b fac_expery_p99_b"
	gl table "$ILEtables\Table D11"
			cap erase "${table}.xls"
			cap erase "${table}.txt"
		
		qui reg totalprofit7_av_p99_e ${mincer} anyfirm_m  ${blocks}  if round<=3 & found & facfarm_e==1, robust cluster(appid)
			outreg2 using "${table}.xls", excel aster(se) bdec(3) br label  ctitle ("Weekly cash earnings, Assigned to job") append drop(  ${blocks}  )
 
		qui reg totalprofit7_av_p99_e ${mincer} ${blocks} if round<=3 & found & job, robust cluster(appid)
			outreg2 using "${table}.xls", excel aster(se) bdec(3) br label  ctitle ("Weekly cash earnings, Assigned to job") append drop(  ${blocks}  )
 
		qui reg totalprofit7_av_p99_e ${mincer} ${blocks} if round<=3 & found & pcg, robust cluster(appid)
			outreg2 using "${table}.xls", excel aster(se) bdec(3) br label  ctitle ("Weekly cash earnings, Assigned to control") append drop(  ${blocks}  )
 
 		qui reg facfarm_e ${mincer} ${blocks} if round<=3 & found & job, robust cluster(appid)
			outreg2 using "${table}.xls", excel aster(se) bdec(3) br label  ctitle ("Weekly cash earnings, Assigned to job") append drop(  ${blocks}  )
 
		qui reg facfarm_e ${mincer} ${blocks} if round<=3 & found & pcg, robust cluster(appid)
			outreg2 using "${table}.xls", excel aster(se) bdec(3) br label  ctitle ("Weekly cash earnings, Assigned to control") append drop(  ${blocks} )
 
 		cap erase "${table}.txt"
	*$exit

*************************************************
/* Appendix Table D12: Heterogeneity by Wealth */
*************************************************

/* Generate heterogeneity interactions */
qui gen consdur_p99_stdXjob = consdur_p99_std_b * job
	la var consdur_p99_stdXjob "Product of consdur_p99_std_b and assignment to job offer"
qui gen consdur_p99_stdXngo = consdur_p99_std_b * ngo
	la var consdur_p99_stdXngo "Product of consdur_p99_std_b and assignment to cash grant"

foreach h in consdur_p99_std  { 
	local i = 0
		foreach y in facfarm_e totalprofit7_av_p99_e disabled_e healthproblems_e stat_change1_e treatmentfirm_30d {
		local ++i
		local var_`i' = "`y'"
		/* Set sample */
			local insample "round<=3"
			local found "found == 1"
			local ext ""
	   qui	reg `y'`ext' job ngo `h'Xjob `h'Xngo `h'_b ${cohort} ${controls} i.round if `insample' & `found', robust cluster(appid) 
			foreach x in job `h'Xjob ngo `h'Xngo `h'_b {
						local b_`x'_`i' = _b[`x']
						local se_`x'_`i' = _se[`x']
						local p_`x'_`i' = 2*ttail(e(df_r),abs(_b[`x']/_se[`x']))
						/* Format standard errors */
						foreach j in `x'_`i' {
							local se_`j' = round(`se_`j'',.001)
							/* Occasionally the round function gives output 
							like 1.2340000000000001. Here, we truncate those outputs */
								local dec = ""
								local dec = substr("`se_`j''",strpos("`se_`j''","."),.)
								if (strlen("`dec'")>4 ) local se_`j' = substr("`se_`j''",1,strpos("`se_`j''",".")+3)
								if (strlen("`dec'")==3) local se_`j' = "`se_`j''0"
								if (strlen("`dec'")==2) local se_`j' = "`se_`j''00"
								if (strlen("`dec'")<2 ) local se_`j' = "`se_`j''000"
							/* Put some brackets and asterisks on the standard errors */
								local se_`j' = "[`se_`j'']"
								if (`p_`j''<=.1 ) local se_`j' = "`se_`j''*"
								if (`p_`j''<=.05) local se_`j' = "`se_`j''*"
								if (`p_`j''<=.01) local se_`j' = "`se_`j''*"
						}
				}
			lincom job + `h'Xjob
						local b_lincom1_`i' = r(estimate)
						local se_lincom1_`i' = r(se)
						local p_lincom1_`i' = 2*ttail(r(df),abs(r(estimate)/r(se)))
			lincom ngo + `h'Xngo
						local b_lincom2_`i' = r(estimate)
						local se_lincom2_`i' = r(se)
						local p_lincom2_`i' = 2*ttail(r(df),abs(r(estimate)/r(se)))		
			foreach j in lincom1_`i' lincom2_`i' {
							local se_`j' = round(`se_`j'',.001)
							/* Occasionally the round function gives output 
							like 1.2340000000000001. Here, we truncate those outputs */
								local dec = ""
								local dec = substr("`se_`j''",strpos("`se_`j''","."),.)
								if (strlen("`dec'")>4 ) local se_`j' = substr("`se_`j''",1,strpos("`se_`j''",".")+3)
								if (strlen("`dec'")==3) local se_`j' = "`se_`j''0"
								if (strlen("`dec'")==2) local se_`j' = "`se_`j''00"
								if (strlen("`dec'")<2 ) local se_`j' = "`se_`j''000"
							/* Put some brackets and asterisks on the standard errors */
								local se_`j' = "[`se_`j'']"
								if (`p_`j''<=.1 ) local se_`j' = "`se_`j''*"
								if (`p_`j''<=.05) local se_`j' = "`se_`j''*"
								if (`p_`j''<=.01) local se_`j' = "`se_`j''*"
						}		
			
						
		}	
		local I = `i'
		/* Build table */
		preserve
			clear
			set obs 14
			gen var = ""
			forv i = 1/`I' {
				gen `var_`i'' = ""
			}
			local j = 0
			foreach x in job `h'Xjob lincom1 ngo `h'Xngo lincom2 `h'_b {
				local ++j
				qui replace var = "`x'" in `=`j'*2-1'
				forv i = 1/`I' {
					qui replace `var_`i'' = "`b_`x'_`i''" in `=`j'*2-1'
					qui replace `var_`i'' = "`se_`x'_`i''" in `=`j'*2'
				}
			}
			export excel using "$ILEtables\Table D12.xlsx", sheet("het `h' raw") sheetmodify firstrow(var)
		restore
	}
*$exit

